WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options.exotic
Interface Boundaries

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  DirichletBoundaries

All Known Implementing Classes:
  Dirichlet, SecondOrderBoundaries, SimpleBoundaries

public interface Boundaries
extends Serializable

A general interface which must be implemented by any boundary class. Particularily it is extended by the `DirichletBoundaries` interface and by the `Dirichlet` abstract class. You should never implement this interface directly, rather you will implement DirichletBoundaries, or extend Dirichlet. It contains predefined constants regarding some parameters of standard option types. It also contains one method which informs the algorithm about the boundary type.

Method Summary
`int` `type()` Returns the type of the boundary.

Method Detail

### type

    public int type()
             throws Exception

  Returns the type of the boundary. Currently there are two types of boundaries supported (BT_DIRICHLET and BT_SECOND_ORDER) but only the first can be returned by the user.

    `Exception`

WebCab Options and Futures Demo v2.5 (J2SE Edition)